- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QHttpRequestHeader Class Reference

Search for all occurrences

## Detailed Description

Definition at line 147 of file qhttp.h.

`#include <qhttp.h>`

Inheritance diagram for QHttpRequestHeader:
[legend]

List of all members.

## Public Member Functions
| QHttpRequestHeader ()
| QHttpRequestHeader (const QString &method, const QString &path, int majorVer=1, int minorVer=1)
| QHttpRequestHeader (const QHttpRequestHeader &header)
| QHttpRequestHeader (const QString &str)
QHttpRequestHeader & | operator= (const QHttpRequestHeader &header)
void | setRequest (const QString &method, const QString &path, int majorVer=1, int minorVer=1)
QString | method () const
QString | path () const
int | majorVersion () const
int | minorVersion () const
QString | toString () const
## Protected Member Functions
bool | parseLine (const QString &line, int number)

## Constructor & Destructor Documentation

QHttpRequestHeader | ( |  | ) |

QHttpRequestHeader | ( | const QString & | method,
|  | const QString & | path,
|  | int | majorVer = `1`,
|  | int | minorVer = `1`
| ) |  |

QHttpRequestHeader | ( | const QHttpRequestHeader & | header | ) |

QHttpRequestHeader | ( | const QString & | str | ) |

## Member Function Documentation

QHttpRequestHeader& operator= | ( | const QHttpRequestHeader & | header | ) |

void setRequest | ( | const QString & | method,
|  | const QString & | path,
|  | int | majorVer = `1`,
|  | int | minorVer = `1`
| ) |  |

Search for all occurrences

QString method | ( |  | ) | const

Search for all occurrences

QString path | ( |  | ) | const

Search for all occurrences

int majorVersion | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QHttpHeader.

int minorVersion | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QHttpHeader.

QString toString | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QHttpHeader.

bool parseLine | ( | const QString & | line,
|  | int | number
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QHttpHeader.

The documentation for this class was generated from the following file:

- QtNetwork/qhttp.h

QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader
QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader QHttpRequestHeader